#pragma once
#ifndef _PLAYER_H_INCLUDED
#define _PLAYER_H_INCLUDED
#include "Enemy.h"
#include "Bullet.h"
struct {
	int x;
	int y;
	int image;
	int health;
	int disp_health = 0;
	int disp_health_delta = 0;
	int full_health;
	int w, h;
	int speed;


	Bullet bullet;
	int bullet_count = 0;

	int matchless_time = 0;
	int matchless_interval = 10;
}typedef Player;


extern int checkHit_PtoM(Player * player, Mobs * mb);
extern int checkHit_Player(Player * player, Mobs * mb);
extern int checkHit_PtoB(Player * player, Bullet * bt);
extern void updatePlayer(Player * player);
extern void drawPlayer(Player * player, const Resource * rs);

#endif
